Core - Feature # 38129

Feature # 31893 (Resolved): Allow XCLASSes to be defined via ext_autoload.php

Status: Closed Priority: Should have
Author: Jigal van Hemert Category: Default
Created: 2012-06-17 Assigned To:

Updated: 2014-02-20 Due date:

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Provide overview for admins of new XCLASS usage

Description

With the new way for XCLASSes it is not easy for admins to see where it is used. In the configuration module you can see use of the
old way. A new option can show where the new method is used in the installation.

History

#1 - 2012-06-17 22:10 - Jigal van Hemert
- File configuration_xclasses.png added

#2 - 2012-06-17 22:19 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12155

#3 - 2013-01-13 19:07 - Helmut Hummel
- Target version changed from 6.0.0-alpha3 to 6.0.1

#4 - 2014-02-05 16:41 - Tymoteusz Motylewski

This should be implemented in Configuration module as extra Reports.

#5 - 2014-02-09 12:29 - Tomasz Krawczyk

- File XClass.png added
- File XClass2.png added

Such functionality has been added to 6.1 and 6.2. | attached screenshots. | think this bug may be clised.

#6 - 2014-02-20 16:20 - Alexander Opitz

- Status changed from Under Review to Closed
- Assigned To deleted (Jigal van Hemert)

- Target version deleted (6.0.1)
